SET search_path = PUBLIC;

DROP OPERATOR CLASS gist_row_acl_ops USING gist CASCADE;

DROP OPERATOR - (row_acl, row_acl) CASCADE;
DROP OPERATOR + (row_acl, row_acl) CASCADE;
DROP OPERATOR & (row_acl, row_acl) CASCADE;
DROP OPERATOR &< (row_acl, row_acl) CASCADE;
DROP OPERATOR &> (row_acl, row_acl) CASCADE;
DROP OPERATOR && (row_acl, row_acl) CASCADE;
DROP OPERATOR <> (row_acl, row_acl) CASCADE;
DROP OPERATOR = (row_acl, row_acl) CASCADE;

DROP FUNCTION gist_row_acl_picksplit(internal, internal) CASCADE;
DROP FUNCTION gist_row_acl_consistent(internal, row_acl, int) CASCADE;
DROP FUNCTION gist_row_acl_union(internal, internal) CASCADE;
DROP FUNCTION gist_row_acl_penalty(internal, internal, internal) CASCADE;
DROP FUNCTION gist_row_acl_same(row_acl, row_acl, internal) CASCADE;
DROP FUNCTION gist_row_acl_decompress(internal) CASCADE;
DROP FUNCTION gist_row_acl_compress(internal) CASCADE;

DROP FUNCTION row_acl_subtract(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_union(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_intersect(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_set(text) CASCADE;
DROP FUNCTION row_acl_set(row_acl, text) CASCADE;

DROP CAST (row_acl AS text) CASCADE;
DROP FUNCTION text(row_acl) CASCADE;

DROP CAST (text AS row_acl) CASCADE;
DROP FUNCTION row_acl(text) CASCADE;

DROP CAST (row_acl AS int) CASCADE;
DROP FUNCTION int4(row_acl) CASCADE;

DROP CAST (int AS row_acl) CASCADE;
DROP FUNCTION row_acl(int) CASCADE;

DROP FUNCTION row_acl_within(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_contains(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_is_intersects(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_neq(row_acl, row_acl) CASCADE;
DROP FUNCTION row_acl_eq(row_acl, row_acl) CASCADE;

DROP FUNCTION row_acl_join_sel(internal, oid, internal, smallint);
DROP FUNCTION row_acl_restrict_sel(internal, oid, internal, integer);
DROP FUNCTION row_acl_analyze(internal) CASCADE;
DROP FUNCTION row_acl_send(row_acl) CASCADE;
DROP FUNCTION row_acl_recv(internal) CASCADE;
DROP FUNCTION row_acl_out(row_acl) CASCADE;
DROP FUNCTION row_acl_in(cstring) CASCADE;

DROP TYPE row_acl CASCADE;
